    import BidValidator from 'pvbid-sdk/src/domain/services/BidValidator.js'

public class | source

# BidValidator

Validates a bid structure and dependencies.

## Constructor Summary

Public Constructor
public | constructor() Creates an instance of BidValidator. |

## Method Summary

Public Methods
public | validate(bid: Bid): object[] Validates a bid return an array of issues, if any exists. |

## Public Constructors

### public constructor() source

Creates an instance of BidValidator.

## Public Methods

### public validate(bid: Bid): object[] source

Validates a bid return an array of issues, if any exists.

#### Params:

Name | Type | Attribute | Description
bid | Bid |  |

#### Return:

object[] | Returns an array of validation errors.